import { Conversation, ITokeniser } from '../../main';
import { Task } from './Task';
export default class PretrainingTask extends Task {
    private rawText;
    private index;
    get length(): number;
    constructor(texts: string[]);
    hasMoreConversations(): boolean;
    nextConversation(): Conversation[] | null;
    nextTokens(tokeniser: ITokeniser): number[] | null;
    shuffle(): void;
    estimateTokens(tokeniser: ITokeniser): Promise<number>;
}
